/**
 * Transmission App
 * Implementing Transmission App
 */
var PostgresqlApp = PostgresqlApp || {};  // Define Transmission App namespace.
/**
 * Constructor UNAS App
 */
PostgresqlApp.App = function () {
    this.id = 'Postgresql';
    this.name = 'Postgresql';
    this.version = '6.0.7';
    this.active = false;
    this.menuIcon = '/apps/postgresql/images/logo.png?v=6.0.7&';
    this.shortcutIcon = '/apps/postgresql/images/logo.png?v=6.0.7&';
    this.entryUrl = '/apps/postgresql/postgresql.html?v=6.0.7&';
    var self = this;
    this.PostgresqlAppWindow = function () {
        if(UNAS.CheckAppState('Postgresql')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'PostgresqlAppWindow',
            title: UNAS._('Postgresql'),
            icon: '/apps/postgresql/images/logo_small.png?v=6.0.7&',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [650, 1200], 'y': [450, 900] },
            contentURL: '/apps/postgresql/postgresql.html?v=6.0.7&',
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Postgresql",'PostgresqlAppWindow')}
        });
    };
    this.PostgresqlUninstall = function (){
        UNAS.RemoveDesktopShortcut('Postgresql');
        UNAS.RemoveMenu('Postgresql');
        UNAS.RemoveAppFromGroups('Postgresql', 'ControlPanel');
        UNAS.RemoveAppFromApps('Postgresql');
    };
    new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'Postgresql', '', this.PostgresqlAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Postgresql', this.PostgresqlAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type': 'SystemTools', 'Location': 5, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Postgresql', UNAS._('Postgresql')); //translate menu
        UNAS.SetShortcutTitle('Postgresql', UNAS._('Postgresql'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('PostgresqlAppWindow', UNAS._('Postgresql'));
        }
    };
    UNAS.LoadTranslation('/apps/postgresql/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.PostgresqlAppWindow, this.PostgresqlUninstall);
};

new PostgresqlApp.App();
